﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.36366
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace SiteSafetyUploads.QualityUploadsEditForm {
    using System.Web.UI.WebControls.Expressions;
    using System.Web.UI.HtmlControls;
    using System.Collections;
    using System.Text;
    using System.Web.UI;
    using System.Collections.Generic;
    using System.Linq;
    using System.Xml.Linq;
    using Microsoft.SharePoint.WebPartPages;
    using System.Web.SessionState;
    using System.Configuration;
    using Microsoft.SharePoint;
    using System.Web;
    using System.Web.DynamicData;
    using System.Web.Caching;
    using System.Web.Profile;
    using System.ComponentModel.DataAnnotations;
    using System.Web.UI.WebControls;
    using System.Web.Security;
    using System;
    using Microsoft.SharePoint.Utilities;
    using System.Text.RegularExpressions;
    using System.Collections.Specialized;
    using System.Web.UI.WebControls.WebParts;
    using Microsoft.SharePoint.WebControls;
    
    
    public partial class QualityUploadsEditForm {
        
        protected global::System.Web.UI.WebControls.Label lblError;
        
        protected global::System.Web.UI.WebControls.Label Label1;
        
        protected global::System.Web.UI.WebControls.Label lblBU;
        
        protected global::System.Web.UI.WebControls.Label Label2;
        
        protected global::System.Web.UI.WebControls.Label lblProject;
        
        protected global::System.Web.UI.WebControls.Label Label3;
        
        protected global::System.Web.UI.WebControls.RadioButton rdbGP;
        
        protected global::System.Web.UI.WebControls.RadioButton rdbAOI;
        
        protected global::System.Web.UI.WebControls.Label Label4;
        
        protected global::System.Web.UI.WebControls.Label lblEvidenceFor;
        
        protected global::System.Web.UI.WebControls.Label Label5;
        
        protected global::System.Web.UI.WebControls.TextBox txtComments;
        
        protected global::System.Web.UI.WebControls.Label Label9;
        
        protected global::Microsoft.SharePoint.WebControls.DateTimeControl dtRepDate;
        
        protected global::System.Web.UI.WebControls.Label Label10;
        
        protected global::Microsoft.SharePoint.WebControls.DateTimeControl dtTargetDate;
        
        protected global::System.Web.UI.WebControls.Label Label8;
        
        protected global::System.Web.UI.WebControls.TextBox txtCorrectiveAction;
        
        protected global::System.Web.UI.WebControls.RequiredFieldValidator RequiredFieldValidator1;
        
        protected global::System.Web.UI.WebControls.Label Label11;
        
        protected global::System.Web.UI.WebControls.DropDownList ddlItemStatus;
        
        protected global::System.Web.UI.WebControls.Label Label12;
        
        protected global::System.Web.UI.WebControls.CheckBox chkClosure;
        
        protected global::System.Web.UI.WebControls.Label Label6;
        
        protected global::System.Web.UI.WebControls.GridView GridView1;
        
        protected global::System.Web.UI.WebControls.Label Label7;
        
        protected global::System.Web.UI.WebControls.FileUpload FileUpload1;
        
        protected global::System.Web.UI.WebControls.GridView GridView2;
        
        protected global::System.Web.UI.WebControls.Label lblError2;
        
        protected global::System.Web.UI.WebControls.Button btnSubmit;
        
        protected global::System.Web.UI.WebControls.Button btnCancel;
        
        protected global::System.Web.UI.HtmlControls.HtmlTable tblEditForm;
        
        protected global::System.Web.UI.WebControls.Label lblItemID;
        
        protected global::System.Web.UI.WebControls.Label lblRCMEmail;
        
        protected global::System.Web.UI.WebControls.Label lblLoggedInUserIsCreated;
        
        protected global::System.Web.UI.WebControls.Label lblLoggedInUserIsRCM;
        
        protected global::System.Web.UI.WebControls.Label lblTransactionID;
        
        protected global::System.Web.UI.WebControls.Label lblNotification;
        
        public static implicit operator global::System.Web.UI.TemplateControl(QualityUploadsEditForm target) 
        {
            return target == null ? null : target.TemplateControl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControllblError() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.lblError = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "lblError";
            @__ctrl.ForeColor = global::System.Drawing.Color.Red;
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControlLabel1() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.Label1 = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "Label1";
            @__ctrl.ForeColor = global::System.Drawing.Color.White;
            @__ctrl.Text = "BU";
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.HtmlControls.HtmlTableCell @__BuildControl__control5() {
            global::System.Web.UI.HtmlControls.HtmlTableCell @__ctrl;
            @__ctrl = new global::System.Web.UI.HtmlControls.HtmlTableCell("td");
            ((System.Web.UI.IAttributeAccessor)(@__ctrl)).SetAttribute("style", "background-color: #507CD1; text-align: left; padding-left: 10px;");
            ((System.Web.UI.IAttributeAccessor)(@__ctrl)).SetAttribute("class", "auto-style1");
            System.Web.UI.IParserAccessor @__parser = ((System.Web.UI.IParserAccessor)(@__ctrl));
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n            "));
            global::System.Web.UI.WebControls.Label @__ctrl1;
            @__ctrl1 = this.@__BuildControlLabel1();
            @__parser.AddParsedSubObject(@__ctrl1);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n        "));
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControllblBU() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.lblBU = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "lblBU";
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.HtmlControls.HtmlTableCell @__BuildControl__control6() {
            global::System.Web.UI.HtmlControls.HtmlTableCell @__ctrl;
            @__ctrl = new global::System.Web.UI.HtmlControls.HtmlTableCell("td");
            ((System.Web.UI.IAttributeAccessor)(@__ctrl)).SetAttribute("style", "background-color: #fff; padding-left: 10px; text-align: left;");
            ((System.Web.UI.IAttributeAccessor)(@__ctrl)).SetAttribute("class", "auto-style2");
            System.Web.UI.IParserAccessor @__parser = ((System.Web.UI.IParserAccessor)(@__ctrl));
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n            "));
            global::System.Web.UI.WebControls.Label @__ctrl1;
            @__ctrl1 = this.@__BuildControllblBU();
            @__parser.AddParsedSubObject(@__ctrl1);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n        "));
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private void @__BuildControl__control4(System.Web.UI.HtmlControls.HtmlTableCellCollection @__ctrl) {
            global::System.Web.UI.HtmlControls.HtmlTableCell @__ctrl1;
            @__ctrl1 = this.@__BuildControl__control5();
            @__ctrl.Add(@__ctrl1);
            global::System.Web.UI.HtmlControls.HtmlTableCell @__ctrl2;
            @__ctrl2 = this.@__BuildControl__control6();
            @__ctrl.Add(@__ctrl2);
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.HtmlControls.HtmlTableRow @__BuildControl__control3() {
            global::System.Web.UI.HtmlControls.HtmlTableRow @__ctrl;
            @__ctrl = new global::System.Web.UI.HtmlControls.HtmlTableRow();
            this.@__BuildControl__control4(@__ctrl.Cells);
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControlLabel2() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.Label2 = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "Label2";
            @__ctrl.ForeColor = global::System.Drawing.Color.White;
            @__ctrl.Text = "Projects";
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.HtmlControls.HtmlTableCell @__BuildControl__control9() {
            global::System.Web.UI.HtmlControls.HtmlTableCell @__ctrl;
            @__ctrl = new global::System.Web.UI.HtmlControls.HtmlTableCell("td");
            ((System.Web.UI.IAttributeAccessor)(@__ctrl)).SetAttribute("style", "background-color: #507CD1; text-align: left; padding-left: 10px;");
            ((System.Web.UI.IAttributeAccessor)(@__ctrl)).SetAttribute("class", "auto-style1");
            System.Web.UI.IParserAccessor @__parser = ((System.Web.UI.IParserAccessor)(@__ctrl));
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n            "));
            global::System.Web.UI.WebControls.Label @__ctrl1;
            @__ctrl1 = this.@__BuildControlLabel2();
            @__parser.AddParsedSubObject(@__ctrl1);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n        "));
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControllblProject() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.lblProject = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "lblProject";
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.HtmlControls.HtmlTableCell @__BuildControl__control10() {
            global::System.Web.UI.HtmlControls.HtmlTableCell @__ctrl;
            @__ctrl = new global::System.Web.UI.HtmlControls.HtmlTableCell("td");
            ((System.Web.UI.IAttributeAccessor)(@__ctrl)).SetAttribute("style", "background-color: #fff; padding-left: 10px; text-align: left;");
            ((System.Web.UI.IAttributeAccessor)(@__ctrl)).SetAttribute("class", "auto-style2");
            System.Web.UI.IParserAccessor @__parser = ((System.Web.UI.IParserAccessor)(@__ctrl));
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n            "));
            global::System.Web.UI.WebControls.Label @__ctrl1;
            @__ctrl1 = this.@__BuildControllblProject();
            @__parser.AddParsedSubObject(@__ctrl1);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n        "));
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private void @__BuildControl__control8(System.Web.UI.HtmlControls.HtmlTableCellCollection @__ctrl) {
            global::System.Web.UI.HtmlControls.HtmlTableCell @__ctrl1;
            @__ctrl1 = this.@__BuildControl__control9();
            @__ctrl.Add(@__ctrl1);
            global::System.Web.UI.HtmlControls.HtmlTableCell @__ctrl2;
            @__ctrl2 = this.@__BuildControl__control10();
            @__ctrl.Add(@__ctrl2);
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.HtmlControls.HtmlTableRow @__BuildControl__control7() {
            global::System.Web.UI.HtmlControls.HtmlTableRow @__ctrl;
            @__ctrl = new global::System.Web.UI.HtmlControls.HtmlTableRow();
            this.@__BuildControl__control8(@__ctrl.Cells);
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControlLabel3() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.Label3 = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "Label3";
            @__ctrl.ForeColor = global::System.Drawing.Color.White;
            @__ctrl.Text = "Reporting on";
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.HtmlControls.HtmlTableCell @__BuildControl__control13() {
            global::System.Web.UI.HtmlControls.HtmlTableCell @__ctrl;
            @__ctrl = new global::System.Web.UI.HtmlControls.HtmlTableCell("td");
            ((System.Web.UI.IAttributeAccessor)(@__ctrl)).SetAttribute("style", "background-color: #507CD1; text-align: left; padding-left: 10px;");
            ((System.Web.UI.IAttributeAccessor)(@__ctrl)).SetAttribute("class", "auto-style1");
            System.Web.UI.IParserAccessor @__parser = ((System.Web.UI.IParserAccessor)(@__ctrl));
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n            "));
            global::System.Web.UI.WebControls.Label @__ctrl1;
            @__ctrl1 = this.@__BuildControlLabel3();
            @__parser.AddParsedSubObject(@__ctrl1);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n        "));
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.RadioButton @__BuildControlrdbGP() {
            global::System.Web.UI.WebControls.RadioButton @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.RadioButton();
            this.rdbGP = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "rdbGP";
            @__ctrl.Text = "Good Practice";
            @__ctrl.GroupName = "RO";
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.RadioButton @__BuildControlrdbAOI() {
            global::System.Web.UI.WebControls.RadioButton @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.RadioButton();
            this.rdbAOI = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "rdbAOI";
            @__ctrl.Text = "Areas for Improvement";
            @__ctrl.GroupName = "RO";
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.HtmlControls.HtmlTableCell @__BuildControl__control14() {
            global::System.Web.UI.HtmlControls.HtmlTableCell @__ctrl;
            @__ctrl = new global::System.Web.UI.HtmlControls.HtmlTableCell("td");
            System.Web.UI.IParserAccessor @__parser = ((System.Web.UI.IParserAccessor)(@__ctrl));
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n            <table>\r\n                <tr>\r\n                    <td style=\"backg" +
                        "round-color: #fff; padding-left: 10px; text-align: left;\" class=\"auto-style2\">\r\n" +
                        "                        "));
            global::System.Web.UI.WebControls.RadioButton @__ctrl1;
            @__ctrl1 = this.@__BuildControlrdbGP();
            @__parser.AddParsedSubObject(@__ctrl1);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n                    </td>\r\n                </tr>\r\n                <tr>\r\n       " +
                        "             <td style=\"background-color: #fff; padding-left: 10px; text-align: " +
                        "left;\" class=\"auto-style2\">\r\n                        "));
            global::System.Web.UI.WebControls.RadioButton @__ctrl2;
            @__ctrl2 = this.@__BuildControlrdbAOI();
            @__parser.AddParsedSubObject(@__ctrl2);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n                    </td>\r\n                </tr>\r\n            </table>\r\n       " +
                        " "));
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private void @__BuildControl__control12(System.Web.UI.HtmlControls.HtmlTableCellCollection @__ctrl) {
            global::System.Web.UI.HtmlControls.HtmlTableCell @__ctrl1;
            @__ctrl1 = this.@__BuildControl__control13();
            @__ctrl.Add(@__ctrl1);
            global::System.Web.UI.HtmlControls.HtmlTableCell @__ctrl2;
            @__ctrl2 = this.@__BuildControl__control14();
            @__ctrl.Add(@__ctrl2);
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.HtmlControls.HtmlTableRow @__BuildControl__control11() {
            global::System.Web.UI.HtmlControls.HtmlTableRow @__ctrl;
            @__ctrl = new global::System.Web.UI.HtmlControls.HtmlTableRow();
            this.@__BuildControl__control12(@__ctrl.Cells);
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControlLabel4() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.Label4 = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "Label4";
            @__ctrl.ForeColor = global::System.Drawing.Color.White;
            @__ctrl.Text = "Evidence For";
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.HtmlControls.HtmlTableCell @__BuildControl__control17() {
            global::System.Web.UI.HtmlControls.HtmlTableCell @__ctrl;
            @__ctrl = new global::System.Web.UI.HtmlControls.HtmlTableCell("td");
            ((System.Web.UI.IAttributeAccessor)(@__ctrl)).SetAttribute("style", "background-color: #507CD1; text-align: left; padding-left: 10px;");
            ((System.Web.UI.IAttributeAccessor)(@__ctrl)).SetAttribute("class", "auto-style1");
            System.Web.UI.IParserAccessor @__parser = ((System.Web.UI.IParserAccessor)(@__ctrl));
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n            "));
            global::System.Web.UI.WebControls.Label @__ctrl1;
            @__ctrl1 = this.@__BuildControlLabel4();
            @__parser.AddParsedSubObject(@__ctrl1);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n        "));
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControllblEvidenceFor() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.lblEvidenceFor = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "lblEvidenceFor";
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.HtmlControls.HtmlTableCell @__BuildControl__control18() {
            global::System.Web.UI.HtmlControls.HtmlTableCell @__ctrl;
            @__ctrl = new global::System.Web.UI.HtmlControls.HtmlTableCell("td");
            ((System.Web.UI.IAttributeAccessor)(@__ctrl)).SetAttribute("style", "background-color: #fff; padding-left: 10px; text-align: left;");
            ((System.Web.UI.IAttributeAccessor)(@__ctrl)).SetAttribute("class", "auto-style2");
            System.Web.UI.IParserAccessor @__parser = ((System.Web.UI.IParserAccessor)(@__ctrl));
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n            "));
            global::System.Web.UI.WebControls.Label @__ctrl1;
            @__ctrl1 = this.@__BuildControllblEvidenceFor();
            @__parser.AddParsedSubObject(@__ctrl1);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n        "));
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private void @__BuildControl__control16(System.Web.UI.HtmlControls.HtmlTableCellCollection @__ctrl) {
            global::System.Web.UI.HtmlControls.HtmlTableCell @__ctrl1;
            @__ctrl1 = this.@__BuildControl__control17();
            @__ctrl.Add(@__ctrl1);
            global::System.Web.UI.HtmlControls.HtmlTableCell @__ctrl2;
            @__ctrl2 = this.@__BuildControl__control18();
            @__ctrl.Add(@__ctrl2);
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.HtmlControls.HtmlTableRow @__BuildControl__control15() {
            global::System.Web.UI.HtmlControls.HtmlTableRow @__ctrl;
            @__ctrl = new global::System.Web.UI.HtmlControls.HtmlTableRow();
            this.@__BuildControl__control16(@__ctrl.Cells);
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControlLabel5() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.Label5 = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "Label5";
            @__ctrl.ForeColor = global::System.Drawing.Color.White;
            @__ctrl.Text = "Comments";
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.HtmlControls.HtmlTableCell @__BuildControl__control21() {
            global::System.Web.UI.HtmlControls.HtmlTableCell @__ctrl;
            @__ctrl = new global::System.Web.UI.HtmlControls.HtmlTableCell("td");
            ((System.Web.UI.IAttributeAccessor)(@__ctrl)).SetAttribute("style", "background-color: #507CD1; text-align: left; padding-left: 10px;");
            ((System.Web.UI.IAttributeAccessor)(@__ctrl)).SetAttribute("class", "auto-style1");
            System.Web.UI.IParserAccessor @__parser = ((System.Web.UI.IParserAccessor)(@__ctrl));
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n            "));
            global::System.Web.UI.WebControls.Label @__ctrl1;
            @__ctrl1 = this.@__BuildControlLabel5();
            @__parser.AddParsedSubObject(@__ctrl1);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n        "));
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.TextBox @__BuildControltxtComments() {
            global::System.Web.UI.WebControls.TextBox @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.TextBox();
            this.txtComments = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "txtComments";
            @__ctrl.TextMode = global::System.Web.UI.WebControls.TextBoxMode.MultiLine;
            @__ctrl.Height = new System.Web.UI.WebControls.Unit(70D, global::System.Web.UI.WebControls.UnitType.Pixel);
            @__ctrl.Width = new System.Web.UI.WebControls.Unit(50D, global::System.Web.UI.WebControls.UnitType.Percentage);
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.HtmlControls.HtmlTableCell @__BuildControl__control22() {
            global::System.Web.UI.HtmlControls.HtmlTableCell @__ctrl;
            @__ctrl = new global::System.Web.UI.HtmlControls.HtmlTableCell("td");
            ((System.Web.UI.IAttributeAccessor)(@__ctrl)).SetAttribute("style", "background-color: #fff; padding-left: 10px; text-align: left;");
            ((System.Web.UI.IAttributeAccessor)(@__ctrl)).SetAttribute("class", "auto-style2");
            System.Web.UI.IParserAccessor @__parser = ((System.Web.UI.IParserAccessor)(@__ctrl));
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n            "));
            global::System.Web.UI.WebControls.TextBox @__ctrl1;
            @__ctrl1 = this.@__BuildControltxtComments();
            @__parser.AddParsedSubObject(@__ctrl1);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n        "));
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private void @__BuildControl__control20(System.Web.UI.HtmlControls.HtmlTableCellCollection @__ctrl) {
            global::System.Web.UI.HtmlControls.HtmlTableCell @__ctrl1;
            @__ctrl1 = this.@__BuildControl__control21();
            @__ctrl.Add(@__ctrl1);
            global::System.Web.UI.HtmlControls.HtmlTableCell @__ctrl2;
            @__ctrl2 = this.@__BuildControl__control22();
            @__ctrl.Add(@__ctrl2);
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.HtmlControls.HtmlTableRow @__BuildControl__control19() {
            global::System.Web.UI.HtmlControls.HtmlTableRow @__ctrl;
            @__ctrl = new global::System.Web.UI.HtmlControls.HtmlTableRow();
            this.@__BuildControl__control20(@__ctrl.Cells);
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControlLabel9() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.Label9 = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "Label9";
            @__ctrl.ForeColor = global::System.Drawing.Color.White;
            @__ctrl.Text = "Reporting Date";
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.HtmlControls.HtmlTableCell @__BuildControl__control25() {
            global::System.Web.UI.HtmlControls.HtmlTableCell @__ctrl;
            @__ctrl = new global::System.Web.UI.HtmlControls.HtmlTableCell("td");
            ((System.Web.UI.IAttributeAccessor)(@__ctrl)).SetAttribute("style", "background-color: #507CD1; text-align: left; padding-left: 10px;");
            ((System.Web.UI.IAttributeAccessor)(@__ctrl)).SetAttribute("class", "auto-style1");
            System.Web.UI.IParserAccessor @__parser = ((System.Web.UI.IParserAccessor)(@__ctrl));
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n            "));
            global::System.Web.UI.WebControls.Label @__ctrl1;
            @__ctrl1 = this.@__BuildControlLabel9();
            @__parser.AddParsedSubObject(@__ctrl1);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n        "));
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::Microsoft.SharePoint.WebControls.DateTimeControl @__BuildControldtRepDate() {
            global::Microsoft.SharePoint.WebControls.DateTimeControl @__ctrl;
            @__ctrl = new global::Microsoft.SharePoint.WebControls.DateTimeControl();
            this.dtRepDate = @__ctrl;
            @__ctrl.ID = "dtRepDate";
            @__ctrl.DateOnly = true;
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.HtmlControls.HtmlTableCell @__BuildControl__control26() {
            global::System.Web.UI.HtmlControls.HtmlTableCell @__ctrl;
            @__ctrl = new global::System.Web.UI.HtmlControls.HtmlTableCell("td");
            ((System.Web.UI.IAttributeAccessor)(@__ctrl)).SetAttribute("style", "background-color: #fff; padding-left: 10px; text-align: left;");
            ((System.Web.UI.IAttributeAccessor)(@__ctrl)).SetAttribute("class", "auto-style2");
            System.Web.UI.IParserAccessor @__parser = ((System.Web.UI.IParserAccessor)(@__ctrl));
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n            "));
            global::Microsoft.SharePoint.WebControls.DateTimeControl @__ctrl1;
            @__ctrl1 = this.@__BuildControldtRepDate();
            @__parser.AddParsedSubObject(@__ctrl1);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n        "));
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private void @__BuildControl__control24(System.Web.UI.HtmlControls.HtmlTableCellCollection @__ctrl) {
            global::System.Web.UI.HtmlControls.HtmlTableCell @__ctrl1;
            @__ctrl1 = this.@__BuildControl__control25();
            @__ctrl.Add(@__ctrl1);
            global::System.Web.UI.HtmlControls.HtmlTableCell @__ctrl2;
            @__ctrl2 = this.@__BuildControl__control26();
            @__ctrl.Add(@__ctrl2);
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.HtmlControls.HtmlTableRow @__BuildControl__control23() {
            global::System.Web.UI.HtmlControls.HtmlTableRow @__ctrl;
            @__ctrl = new global::System.Web.UI.HtmlControls.HtmlTableRow();
            this.@__BuildControl__control24(@__ctrl.Cells);
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControlLabel10() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.Label10 = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "Label10";
            @__ctrl.ForeColor = global::System.Drawing.Color.White;
            @__ctrl.Text = "Target Date";
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.HtmlControls.HtmlTableCell @__BuildControl__control29() {
            global::System.Web.UI.HtmlControls.HtmlTableCell @__ctrl;
            @__ctrl = new global::System.Web.UI.HtmlControls.HtmlTableCell("td");
            ((System.Web.UI.IAttributeAccessor)(@__ctrl)).SetAttribute("style", "background-color: #507CD1; text-align: left; padding-left: 10px;");
            ((System.Web.UI.IAttributeAccessor)(@__ctrl)).SetAttribute("class", "auto-style1");
            System.Web.UI.IParserAccessor @__parser = ((System.Web.UI.IParserAccessor)(@__ctrl));
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n            "));
            global::System.Web.UI.WebControls.Label @__ctrl1;
            @__ctrl1 = this.@__BuildControlLabel10();
            @__parser.AddParsedSubObject(@__ctrl1);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n        "));
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::Microsoft.SharePoint.WebControls.DateTimeControl @__BuildControldtTargetDate() {
            global::Microsoft.SharePoint.WebControls.DateTimeControl @__ctrl;
            @__ctrl = new global::Microsoft.SharePoint.WebControls.DateTimeControl();
            this.dtTargetDate = @__ctrl;
            @__ctrl.ID = "dtTargetDate";
            @__ctrl.DateOnly = true;
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.HtmlControls.HtmlTableCell @__BuildControl__control30() {
            global::System.Web.UI.HtmlControls.HtmlTableCell @__ctrl;
            @__ctrl = new global::System.Web.UI.HtmlControls.HtmlTableCell("td");
            ((System.Web.UI.IAttributeAccessor)(@__ctrl)).SetAttribute("style", "background-color: #fff; padding-left: 10px; text-align: left;");
            ((System.Web.UI.IAttributeAccessor)(@__ctrl)).SetAttribute("class", "auto-style2");
            System.Web.UI.IParserAccessor @__parser = ((System.Web.UI.IParserAccessor)(@__ctrl));
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n            "));
            global::Microsoft.SharePoint.WebControls.DateTimeControl @__ctrl1;
            @__ctrl1 = this.@__BuildControldtTargetDate();
            @__parser.AddParsedSubObject(@__ctrl1);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n        "));
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private void @__BuildControl__control28(System.Web.UI.HtmlControls.HtmlTableCellCollection @__ctrl) {
            global::System.Web.UI.HtmlControls.HtmlTableCell @__ctrl1;
            @__ctrl1 = this.@__BuildControl__control29();
            @__ctrl.Add(@__ctrl1);
            global::System.Web.UI.HtmlControls.HtmlTableCell @__ctrl2;
            @__ctrl2 = this.@__BuildControl__control30();
            @__ctrl.Add(@__ctrl2);
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.HtmlControls.HtmlTableRow @__BuildControl__control27() {
            global::System.Web.UI.HtmlControls.HtmlTableRow @__ctrl;
            @__ctrl = new global::System.Web.UI.HtmlControls.HtmlTableRow();
            this.@__BuildControl__control28(@__ctrl.Cells);
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControlLabel8() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.Label8 = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "Label8";
            @__ctrl.ForeColor = global::System.Drawing.Color.White;
            @__ctrl.Text = "Corrective Action Taken";
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.HtmlControls.HtmlTableCell @__BuildControl__control33() {
            global::System.Web.UI.HtmlControls.HtmlTableCell @__ctrl;
            @__ctrl = new global::System.Web.UI.HtmlControls.HtmlTableCell("td");
            ((System.Web.UI.IAttributeAccessor)(@__ctrl)).SetAttribute("style", "background-color: #507CD1; text-align: left; padding-left: 10px;");
            ((System.Web.UI.IAttributeAccessor)(@__ctrl)).SetAttribute("class", "auto-style1");
            System.Web.UI.IParserAccessor @__parser = ((System.Web.UI.IParserAccessor)(@__ctrl));
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n            "));
            global::System.Web.UI.WebControls.Label @__ctrl1;
            @__ctrl1 = this.@__BuildControlLabel8();
            @__parser.AddParsedSubObject(@__ctrl1);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n        "));
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.TextBox @__BuildControltxtCorrectiveAction() {
            global::System.Web.UI.WebControls.TextBox @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.TextBox();
            this.txtCorrectiveAction = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "txtCorrectiveAction";
            @__ctrl.TextMode = global::System.Web.UI.WebControls.TextBoxMode.MultiLine;
            @__ctrl.Height = new System.Web.UI.WebControls.Unit(70D, global::System.Web.UI.WebControls.UnitType.Pixel);
            @__ctrl.Width = new System.Web.UI.WebControls.Unit(50D, global::System.Web.UI.WebControls.UnitType.Percentage);
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.RequiredFieldValidator @__BuildControlRequiredFieldValidator1() {
            global::System.Web.UI.WebControls.RequiredFieldValidator @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.RequiredFieldValidator();
            this.RequiredFieldValidator1 = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "RequiredFieldValidator1";
            @__ctrl.ControlToValidate = "txtCorrectiveAction";
            @__ctrl.ValidationGroup = "OnSub";
            @__ctrl.ErrorMessage = "Shouldn\'t be empty";
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.HtmlControls.HtmlTableCell @__BuildControl__control34() {
            global::System.Web.UI.HtmlControls.HtmlTableCell @__ctrl;
            @__ctrl = new global::System.Web.UI.HtmlControls.HtmlTableCell("td");
            ((System.Web.UI.IAttributeAccessor)(@__ctrl)).SetAttribute("style", "background-color: #fff; padding-left: 10px; text-align: left;");
            ((System.Web.UI.IAttributeAccessor)(@__ctrl)).SetAttribute("class", "auto-style2");
            System.Web.UI.IParserAccessor @__parser = ((System.Web.UI.IParserAccessor)(@__ctrl));
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n            "));
            global::System.Web.UI.WebControls.TextBox @__ctrl1;
            @__ctrl1 = this.@__BuildControltxtCorrectiveAction();
            @__parser.AddParsedSubObject(@__ctrl1);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n            "));
            global::System.Web.UI.WebControls.RequiredFieldValidator @__ctrl2;
            @__ctrl2 = this.@__BuildControlRequiredFieldValidator1();
            @__parser.AddParsedSubObject(@__ctrl2);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n        "));
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private void @__BuildControl__control32(System.Web.UI.HtmlControls.HtmlTableCellCollection @__ctrl) {
            global::System.Web.UI.HtmlControls.HtmlTableCell @__ctrl1;
            @__ctrl1 = this.@__BuildControl__control33();
            @__ctrl.Add(@__ctrl1);
            global::System.Web.UI.HtmlControls.HtmlTableCell @__ctrl2;
            @__ctrl2 = this.@__BuildControl__control34();
            @__ctrl.Add(@__ctrl2);
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.HtmlControls.HtmlTableRow @__BuildControl__control31() {
            global::System.Web.UI.HtmlControls.HtmlTableRow @__ctrl;
            @__ctrl = new global::System.Web.UI.HtmlControls.HtmlTableRow();
            this.@__BuildControl__control32(@__ctrl.Cells);
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControlLabel11() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.Label11 = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "Label11";
            @__ctrl.ForeColor = global::System.Drawing.Color.White;
            @__ctrl.Text = "Item Status";
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.HtmlControls.HtmlTableCell @__BuildControl__control37() {
            global::System.Web.UI.HtmlControls.HtmlTableCell @__ctrl;
            @__ctrl = new global::System.Web.UI.HtmlControls.HtmlTableCell("td");
            ((System.Web.UI.IAttributeAccessor)(@__ctrl)).SetAttribute("style", "background-color: #507CD1; text-align: left; padding-left: 10px;");
            ((System.Web.UI.IAttributeAccessor)(@__ctrl)).SetAttribute("class", "auto-style1");
            System.Web.UI.IParserAccessor @__parser = ((System.Web.UI.IParserAccessor)(@__ctrl));
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n            "));
            global::System.Web.UI.WebControls.Label @__ctrl1;
            @__ctrl1 = this.@__BuildControlLabel11();
            @__parser.AddParsedSubObject(@__ctrl1);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n        "));
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.ListItem @__BuildControl__control40() {
            global::System.Web.UI.WebControls.ListItem @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.ListItem();
            @__ctrl.Text = "--Select--";
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.ListItem @__BuildControl__control41() {
            global::System.Web.UI.WebControls.ListItem @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.ListItem();
            @__ctrl.Text = "Active";
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.ListItem @__BuildControl__control42() {
            global::System.Web.UI.WebControls.ListItem @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.ListItem();
            @__ctrl.Text = "Closed";
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private void @__BuildControl__control39(System.Web.UI.WebControls.ListItemCollection @__ctrl) {
            global::System.Web.UI.WebControls.ListItem @__ctrl1;
            @__ctrl1 = this.@__BuildControl__control40();
            @__ctrl.Add(@__ctrl1);
            global::System.Web.UI.WebControls.ListItem @__ctrl2;
            @__ctrl2 = this.@__BuildControl__control41();
            @__ctrl.Add(@__ctrl2);
            global::System.Web.UI.WebControls.ListItem @__ctrl3;
            @__ctrl3 = this.@__BuildControl__control42();
            @__ctrl.Add(@__ctrl3);
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.DropDownList @__BuildControlddlItemStatus() {
            global::System.Web.UI.WebControls.DropDownList @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.DropDownList();
            this.ddlItemStatus = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "ddlItemStatus";
            this.@__BuildControl__control39(@__ctrl.Items);
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.HtmlControls.HtmlTableCell @__BuildControl__control38() {
            global::System.Web.UI.HtmlControls.HtmlTableCell @__ctrl;
            @__ctrl = new global::System.Web.UI.HtmlControls.HtmlTableCell("td");
            ((System.Web.UI.IAttributeAccessor)(@__ctrl)).SetAttribute("style", "background-color: #fff; padding-left: 10px; text-align: left;");
            ((System.Web.UI.IAttributeAccessor)(@__ctrl)).SetAttribute("class", "auto-style2");
            System.Web.UI.IParserAccessor @__parser = ((System.Web.UI.IParserAccessor)(@__ctrl));
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n            "));
            global::System.Web.UI.WebControls.DropDownList @__ctrl1;
            @__ctrl1 = this.@__BuildControlddlItemStatus();
            @__parser.AddParsedSubObject(@__ctrl1);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n        "));
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private void @__BuildControl__control36(System.Web.UI.HtmlControls.HtmlTableCellCollection @__ctrl) {
            global::System.Web.UI.HtmlControls.HtmlTableCell @__ctrl1;
            @__ctrl1 = this.@__BuildControl__control37();
            @__ctrl.Add(@__ctrl1);
            global::System.Web.UI.HtmlControls.HtmlTableCell @__ctrl2;
            @__ctrl2 = this.@__BuildControl__control38();
            @__ctrl.Add(@__ctrl2);
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.HtmlControls.HtmlTableRow @__BuildControl__control35() {
            global::System.Web.UI.HtmlControls.HtmlTableRow @__ctrl;
            @__ctrl = new global::System.Web.UI.HtmlControls.HtmlTableRow();
            this.@__BuildControl__control36(@__ctrl.Cells);
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControlLabel12() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.Label12 = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "Label12";
            @__ctrl.ForeColor = global::System.Drawing.Color.White;
            @__ctrl.Text = "Ready for closure";
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.HtmlControls.HtmlTableCell @__BuildControl__control45() {
            global::System.Web.UI.HtmlControls.HtmlTableCell @__ctrl;
            @__ctrl = new global::System.Web.UI.HtmlControls.HtmlTableCell("td");
            ((System.Web.UI.IAttributeAccessor)(@__ctrl)).SetAttribute("style", "background-color: #507CD1; text-align: left; padding-left: 10px;");
            ((System.Web.UI.IAttributeAccessor)(@__ctrl)).SetAttribute("class", "auto-style1");
            System.Web.UI.IParserAccessor @__parser = ((System.Web.UI.IParserAccessor)(@__ctrl));
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n            "));
            global::System.Web.UI.WebControls.Label @__ctrl1;
            @__ctrl1 = this.@__BuildControlLabel12();
            @__parser.AddParsedSubObject(@__ctrl1);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n        "));
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.CheckBox @__BuildControlchkClosure() {
            global::System.Web.UI.WebControls.CheckBox @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.CheckBox();
            this.chkClosure = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "chkClosure";
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.HtmlControls.HtmlTableCell @__BuildControl__control46() {
            global::System.Web.UI.HtmlControls.HtmlTableCell @__ctrl;
            @__ctrl = new global::System.Web.UI.HtmlControls.HtmlTableCell("td");
            ((System.Web.UI.IAttributeAccessor)(@__ctrl)).SetAttribute("style", "background-color: #fff; padding-left: 10px; text-align: left;");
            ((System.Web.UI.IAttributeAccessor)(@__ctrl)).SetAttribute("class", "auto-style2");
            System.Web.UI.IParserAccessor @__parser = ((System.Web.UI.IParserAccessor)(@__ctrl));
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n            "));
            global::System.Web.UI.WebControls.CheckBox @__ctrl1;
            @__ctrl1 = this.@__BuildControlchkClosure();
            @__parser.AddParsedSubObject(@__ctrl1);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n        "));
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private void @__BuildControl__control44(System.Web.UI.HtmlControls.HtmlTableCellCollection @__ctrl) {
            global::System.Web.UI.HtmlControls.HtmlTableCell @__ctrl1;
            @__ctrl1 = this.@__BuildControl__control45();
            @__ctrl.Add(@__ctrl1);
            global::System.Web.UI.HtmlControls.HtmlTableCell @__ctrl2;
            @__ctrl2 = this.@__BuildControl__control46();
            @__ctrl.Add(@__ctrl2);
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.HtmlControls.HtmlTableRow @__BuildControl__control43() {
            global::System.Web.UI.HtmlControls.HtmlTableRow @__ctrl;
            @__ctrl = new global::System.Web.UI.HtmlControls.HtmlTableRow();
            this.@__BuildControl__control44(@__ctrl.Cells);
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControlLabel6() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.Label6 = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "Label6";
            @__ctrl.ForeColor = global::System.Drawing.Color.White;
            @__ctrl.Text = "Uploaded Attachments";
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.HtmlControls.HtmlTableCell @__BuildControl__control49() {
            global::System.Web.UI.HtmlControls.HtmlTableCell @__ctrl;
            @__ctrl = new global::System.Web.UI.HtmlControls.HtmlTableCell("td");
            ((System.Web.UI.IAttributeAccessor)(@__ctrl)).SetAttribute("style", "background-color: #507CD1; text-align: left; padding-left: 10px;");
            ((System.Web.UI.IAttributeAccessor)(@__ctrl)).SetAttribute("class", "auto-style1");
            System.Web.UI.IParserAccessor @__parser = ((System.Web.UI.IParserAccessor)(@__ctrl));
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n            "));
            global::System.Web.UI.WebControls.Label @__ctrl1;
            @__ctrl1 = this.@__BuildControlLabel6();
            @__parser.AddParsedSubObject(@__ctrl1);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n        "));
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.LinkButton @__BuildControl__control54() {
            global::System.Web.UI.WebControls.LinkButton @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.LinkButton();
            @__ctrl.TemplateControl = this;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.CausesValidation = false;
            @__ctrl.CommandName = "DownLoad Supporting Doc";
            @__ctrl.OnClientClick = "ReloadFun()";
            @__ctrl.ID = "lnkView";
            @__ctrl.DataBinding += new System.EventHandler(this.@__DataBinding__control54);
            @__ctrl.Click -= new System.EventHandler(this.lnkView_Click);
            @__ctrl.Click += new System.EventHandler(this.lnkView_Click);
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        public void @__DataBinding__control54(object sender, System.EventArgs e) {
            System.Web.UI.WebControls.LinkButton dataBindingExpressionBuilderTarget;
            System.Web.UI.IDataItemContainer Container;
            dataBindingExpressionBuilderTarget = ((System.Web.UI.WebControls.LinkButton)(sender));
            Container = ((System.Web.UI.IDataItemContainer)(dataBindingExpressionBuilderTarget.BindingContainer));
            dataBindingExpressionBuilderTarget.Text = global::System.Convert.ToString( Eval("DocName") , global::System.Globalization.CultureInfo.CurrentCulture);
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private void @__BuildControl__control53(System.Web.UI.Control @__ctrl) {
            System.Web.UI.IParserAccessor @__parser = ((System.Web.UI.IParserAccessor)(@__ctrl));
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n                            "));
            global::System.Web.UI.WebControls.LinkButton @__ctrl1;
            @__ctrl1 = this.@__BuildControl__control54();
            @__parser.AddParsedSubObject(@__ctrl1);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n                        "));
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.TemplateField @__BuildControl__control52() {
            global::System.Web.UI.WebControls.TemplateField @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.TemplateField();
            @__ctrl.ItemTemplate = new System.Web.UI.CompiledBindableTemplateBuilder(new System.Web.UI.BuildTemplateMethod(this.@__BuildControl__control53), null);
            @__ctrl.HeaderText = "";
            @__ctrl.HeaderStyle.Width = new System.Web.UI.WebControls.Unit(0D, global::System.Web.UI.WebControls.UnitType.Pixel);
            @__ctrl.HeaderStyle.BorderWidth = new System.Web.UI.WebControls.Unit(0D, global::System.Web.UI.WebControls.UnitType.Pixel);
            @__ctrl.ShowHeader = false;
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private void @__BuildControl__control51(System.Web.UI.WebControls.DataControlFieldCollection @__ctrl) {
            global::System.Web.UI.WebControls.TemplateField @__ctrl1;
            @__ctrl1 = this.@__BuildControl__control52();
            @__ctrl.Add(@__ctrl1);
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.GridView @__BuildControlGridView1() {
            global::System.Web.UI.WebControls.GridView @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.GridView();
            this.GridView1 = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "GridView1";
            @__ctrl.ShowHeader = false;
            @__ctrl.AutoGenerateColumns = false;
            @__ctrl.CellPadding = 4;
            @__ctrl.ForeColor = ((System.Drawing.Color)(global::System.Drawing.Color.FromArgb(51, 51, 51)));
            @__ctrl.GridLines = global::System.Web.UI.WebControls.GridLines.None;
            @__ctrl.Width = new System.Web.UI.WebControls.Unit(606D, global::System.Web.UI.WebControls.UnitType.Pixel);
            this.@__BuildControl__control51(@__ctrl.Columns);
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.HtmlControls.HtmlTableCell @__BuildControl__control50() {
            global::System.Web.UI.HtmlControls.HtmlTableCell @__ctrl;
            @__ctrl = new global::System.Web.UI.HtmlControls.HtmlTableCell("td");
            ((System.Web.UI.IAttributeAccessor)(@__ctrl)).SetAttribute("style", "background-color: #fff; padding-left: 10px; text-align: left;");
            ((System.Web.UI.IAttributeAccessor)(@__ctrl)).SetAttribute("class", "auto-style2");
            System.Web.UI.IParserAccessor @__parser = ((System.Web.UI.IParserAccessor)(@__ctrl));
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n            "));
            global::System.Web.UI.WebControls.GridView @__ctrl1;
            @__ctrl1 = this.@__BuildControlGridView1();
            @__parser.AddParsedSubObject(@__ctrl1);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n        "));
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private void @__BuildControl__control48(System.Web.UI.HtmlControls.HtmlTableCellCollection @__ctrl) {
            global::System.Web.UI.HtmlControls.HtmlTableCell @__ctrl1;
            @__ctrl1 = this.@__BuildControl__control49();
            @__ctrl.Add(@__ctrl1);
            global::System.Web.UI.HtmlControls.HtmlTableCell @__ctrl2;
            @__ctrl2 = this.@__BuildControl__control50();
            @__ctrl.Add(@__ctrl2);
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.HtmlControls.HtmlTableRow @__BuildControl__control47() {
            global::System.Web.UI.HtmlControls.HtmlTableRow @__ctrl;
            @__ctrl = new global::System.Web.UI.HtmlControls.HtmlTableRow();
            this.@__BuildControl__control48(@__ctrl.Cells);
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControlLabel7() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.Label7 = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "Label7";
            @__ctrl.ForeColor = global::System.Drawing.Color.White;
            @__ctrl.Text = "Upload evidence of correction";
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.HtmlControls.HtmlTableCell @__BuildControl__control57() {
            global::System.Web.UI.HtmlControls.HtmlTableCell @__ctrl;
            @__ctrl = new global::System.Web.UI.HtmlControls.HtmlTableCell("td");
            ((System.Web.UI.IAttributeAccessor)(@__ctrl)).SetAttribute("style", "background-color: #507CD1; text-align: left; padding-left: 10px;");
            ((System.Web.UI.IAttributeAccessor)(@__ctrl)).SetAttribute("class", "auto-style1");
            System.Web.UI.IParserAccessor @__parser = ((System.Web.UI.IParserAccessor)(@__ctrl));
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n            "));
            global::System.Web.UI.WebControls.Label @__ctrl1;
            @__ctrl1 = this.@__BuildControlLabel7();
            @__parser.AddParsedSubObject(@__ctrl1);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n        "));
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.FileUpload @__BuildControlFileUpload1() {
            global::System.Web.UI.WebControls.FileUpload @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.FileUpload();
            this.FileUpload1 = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "FileUpload1";
            @__ctrl.AllowMultiple = true;
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.LinkButton @__BuildControl__control62() {
            global::System.Web.UI.WebControls.LinkButton @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.LinkButton();
            @__ctrl.TemplateControl = this;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.CausesValidation = false;
            @__ctrl.CommandName = "DownLoad Evidence Doc";
            @__ctrl.OnClientClick = "ReloadFun()";
            @__ctrl.ID = "lnkView1";
            @__ctrl.DataBinding += new System.EventHandler(this.@__DataBinding__control62);
            @__ctrl.Click -= new System.EventHandler(this.lnkView1_Click);
            @__ctrl.Click += new System.EventHandler(this.lnkView1_Click);
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        public void @__DataBinding__control62(object sender, System.EventArgs e) {
            System.Web.UI.WebControls.LinkButton dataBindingExpressionBuilderTarget;
            System.Web.UI.IDataItemContainer Container;
            dataBindingExpressionBuilderTarget = ((System.Web.UI.WebControls.LinkButton)(sender));
            Container = ((System.Web.UI.IDataItemContainer)(dataBindingExpressionBuilderTarget.BindingContainer));
            dataBindingExpressionBuilderTarget.Text = global::System.Convert.ToString( Eval("DocName") , global::System.Globalization.CultureInfo.CurrentCulture);
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private void @__BuildControl__control61(System.Web.UI.Control @__ctrl) {
            System.Web.UI.IParserAccessor @__parser = ((System.Web.UI.IParserAccessor)(@__ctrl));
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n                            "));
            global::System.Web.UI.WebControls.LinkButton @__ctrl1;
            @__ctrl1 = this.@__BuildControl__control62();
            @__parser.AddParsedSubObject(@__ctrl1);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n                        "));
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.TemplateField @__BuildControl__control60() {
            global::System.Web.UI.WebControls.TemplateField @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.TemplateField();
            @__ctrl.ItemTemplate = new System.Web.UI.CompiledBindableTemplateBuilder(new System.Web.UI.BuildTemplateMethod(this.@__BuildControl__control61), null);
            @__ctrl.HeaderText = "";
            @__ctrl.HeaderStyle.Width = new System.Web.UI.WebControls.Unit(0D, global::System.Web.UI.WebControls.UnitType.Pixel);
            @__ctrl.HeaderStyle.BorderWidth = new System.Web.UI.WebControls.Unit(0D, global::System.Web.UI.WebControls.UnitType.Pixel);
            @__ctrl.ShowHeader = false;
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private void @__BuildControl__control59(System.Web.UI.WebControls.DataControlFieldCollection @__ctrl) {
            global::System.Web.UI.WebControls.TemplateField @__ctrl1;
            @__ctrl1 = this.@__BuildControl__control60();
            @__ctrl.Add(@__ctrl1);
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.GridView @__BuildControlGridView2() {
            global::System.Web.UI.WebControls.GridView @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.GridView();
            this.GridView2 = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "GridView2";
            @__ctrl.Visible = false;
            @__ctrl.ShowHeader = false;
            @__ctrl.AutoGenerateColumns = false;
            @__ctrl.CellPadding = 4;
            @__ctrl.ForeColor = ((System.Drawing.Color)(global::System.Drawing.Color.FromArgb(51, 51, 51)));
            @__ctrl.GridLines = global::System.Web.UI.WebControls.GridLines.None;
            @__ctrl.Width = new System.Web.UI.WebControls.Unit(606D, global::System.Web.UI.WebControls.UnitType.Pixel);
            this.@__BuildControl__control59(@__ctrl.Columns);
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControllblError2() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.lblError2 = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "lblError2";
            @__ctrl.ForeColor = global::System.Drawing.Color.Red;
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.HtmlControls.HtmlTableCell @__BuildControl__control58() {
            global::System.Web.UI.HtmlControls.HtmlTableCell @__ctrl;
            @__ctrl = new global::System.Web.UI.HtmlControls.HtmlTableCell("td");
            ((System.Web.UI.IAttributeAccessor)(@__ctrl)).SetAttribute("style", "background-color: #fff; padding-left: 10px; text-align: left;");
            ((System.Web.UI.IAttributeAccessor)(@__ctrl)).SetAttribute("class", "auto-style2");
            System.Web.UI.IParserAccessor @__parser = ((System.Web.UI.IParserAccessor)(@__ctrl));
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n            "));
            global::System.Web.UI.WebControls.FileUpload @__ctrl1;
            @__ctrl1 = this.@__BuildControlFileUpload1();
            @__parser.AddParsedSubObject(@__ctrl1);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n            &nbsp;"));
            global::System.Web.UI.WebControls.GridView @__ctrl2;
            @__ctrl2 = this.@__BuildControlGridView2();
            @__parser.AddParsedSubObject(@__ctrl2);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n            "));
            global::System.Web.UI.WebControls.Label @__ctrl3;
            @__ctrl3 = this.@__BuildControllblError2();
            @__parser.AddParsedSubObject(@__ctrl3);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n\r\n        "));
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private void @__BuildControl__control56(System.Web.UI.HtmlControls.HtmlTableCellCollection @__ctrl) {
            global::System.Web.UI.HtmlControls.HtmlTableCell @__ctrl1;
            @__ctrl1 = this.@__BuildControl__control57();
            @__ctrl.Add(@__ctrl1);
            global::System.Web.UI.HtmlControls.HtmlTableCell @__ctrl2;
            @__ctrl2 = this.@__BuildControl__control58();
            @__ctrl.Add(@__ctrl2);
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.HtmlControls.HtmlTableRow @__BuildControl__control55() {
            global::System.Web.UI.HtmlControls.HtmlTableRow @__ctrl;
            @__ctrl = new global::System.Web.UI.HtmlControls.HtmlTableRow();
            this.@__BuildControl__control56(@__ctrl.Cells);
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Button @__BuildControlbtnSubmit() {
            global::System.Web.UI.WebControls.Button @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Button();
            this.btnSubmit = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "btnSubmit";
            @__ctrl.Font.Bold = true;
            @__ctrl.ValidationGroup = "OnSub";
            @__ctrl.Text = "Submit";
            @__ctrl.Click -= new System.EventHandler(this.btnSubmit_Click);
            @__ctrl.Click += new System.EventHandler(this.btnSubmit_Click);
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Button @__BuildControlbtnCancel() {
            global::System.Web.UI.WebControls.Button @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Button();
            this.btnCancel = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "btnCancel";
            @__ctrl.Font.Bold = true;
            @__ctrl.Text = "Cancel";
            @__ctrl.Click -= new System.EventHandler(this.btnCancel_Click);
            @__ctrl.Click += new System.EventHandler(this.btnCancel_Click);
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.HtmlControls.HtmlTableCell @__BuildControl__control65() {
            global::System.Web.UI.HtmlControls.HtmlTableCell @__ctrl;
            @__ctrl = new global::System.Web.UI.HtmlControls.HtmlTableCell("td");
            @__ctrl.ColSpan = 2;
            ((System.Web.UI.IAttributeAccessor)(@__ctrl)).SetAttribute("style", "text-align: center;");
            System.Web.UI.IParserAccessor @__parser = ((System.Web.UI.IParserAccessor)(@__ctrl));
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n            "));
            global::System.Web.UI.WebControls.Button @__ctrl1;
            @__ctrl1 = this.@__BuildControlbtnSubmit();
            @__parser.AddParsedSubObject(@__ctrl1);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n            "));
            global::System.Web.UI.WebControls.Button @__ctrl2;
            @__ctrl2 = this.@__BuildControlbtnCancel();
            @__parser.AddParsedSubObject(@__ctrl2);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n        "));
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private void @__BuildControl__control64(System.Web.UI.HtmlControls.HtmlTableCellCollection @__ctrl) {
            global::System.Web.UI.HtmlControls.HtmlTableCell @__ctrl1;
            @__ctrl1 = this.@__BuildControl__control65();
            @__ctrl.Add(@__ctrl1);
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.HtmlControls.HtmlTableRow @__BuildControl__control63() {
            global::System.Web.UI.HtmlControls.HtmlTableRow @__ctrl;
            @__ctrl = new global::System.Web.UI.HtmlControls.HtmlTableRow();
            this.@__BuildControl__control64(@__ctrl.Cells);
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private void @__BuildControl__control2(System.Web.UI.HtmlControls.HtmlTableRowCollection @__ctrl) {
            global::System.Web.UI.HtmlControls.HtmlTableRow @__ctrl1;
            @__ctrl1 = this.@__BuildControl__control3();
            @__ctrl.Add(@__ctrl1);
            global::System.Web.UI.HtmlControls.HtmlTableRow @__ctrl2;
            @__ctrl2 = this.@__BuildControl__control7();
            @__ctrl.Add(@__ctrl2);
            global::System.Web.UI.HtmlControls.HtmlTableRow @__ctrl3;
            @__ctrl3 = this.@__BuildControl__control11();
            @__ctrl.Add(@__ctrl3);
            global::System.Web.UI.HtmlControls.HtmlTableRow @__ctrl4;
            @__ctrl4 = this.@__BuildControl__control15();
            @__ctrl.Add(@__ctrl4);
            global::System.Web.UI.HtmlControls.HtmlTableRow @__ctrl5;
            @__ctrl5 = this.@__BuildControl__control19();
            @__ctrl.Add(@__ctrl5);
            global::System.Web.UI.HtmlControls.HtmlTableRow @__ctrl6;
            @__ctrl6 = this.@__BuildControl__control23();
            @__ctrl.Add(@__ctrl6);
            global::System.Web.UI.HtmlControls.HtmlTableRow @__ctrl7;
            @__ctrl7 = this.@__BuildControl__control27();
            @__ctrl.Add(@__ctrl7);
            global::System.Web.UI.HtmlControls.HtmlTableRow @__ctrl8;
            @__ctrl8 = this.@__BuildControl__control31();
            @__ctrl.Add(@__ctrl8);
            global::System.Web.UI.HtmlControls.HtmlTableRow @__ctrl9;
            @__ctrl9 = this.@__BuildControl__control35();
            @__ctrl.Add(@__ctrl9);
            global::System.Web.UI.HtmlControls.HtmlTableRow @__ctrl10;
            @__ctrl10 = this.@__BuildControl__control43();
            @__ctrl.Add(@__ctrl10);
            global::System.Web.UI.HtmlControls.HtmlTableRow @__ctrl11;
            @__ctrl11 = this.@__BuildControl__control47();
            @__ctrl.Add(@__ctrl11);
            global::System.Web.UI.HtmlControls.HtmlTableRow @__ctrl12;
            @__ctrl12 = this.@__BuildControl__control55();
            @__ctrl.Add(@__ctrl12);
            global::System.Web.UI.HtmlControls.HtmlTableRow @__ctrl13;
            @__ctrl13 = this.@__BuildControl__control63();
            @__ctrl.Add(@__ctrl13);
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.HtmlControls.HtmlTable @__BuildControltblEditForm() {
            global::System.Web.UI.HtmlControls.HtmlTable @__ctrl;
            @__ctrl = new global::System.Web.UI.HtmlControls.HtmlTable();
            this.tblEditForm = @__ctrl;
            @__ctrl.Border = 1;
            ((System.Web.UI.IAttributeAccessor)(@__ctrl)).SetAttribute("style", "width: 100%");
            @__ctrl.ID = "tblEditForm";
            @__ctrl.Visible = true;
            this.@__BuildControl__control2(@__ctrl.Rows);
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControllblItemID() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.lblItemID = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "lblItemID";
            @__ctrl.Visible = false;
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControllblRCMEmail() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.lblRCMEmail = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "lblRCMEmail";
            @__ctrl.Visible = false;
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControllblLoggedInUserIsCreated() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.lblLoggedInUserIsCreated = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "lblLoggedInUserIsCreated";
            @__ctrl.Visible = false;
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControllblLoggedInUserIsRCM() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.lblLoggedInUserIsRCM = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "lblLoggedInUserIsRCM";
            @__ctrl.Visible = false;
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControllblTransactionID() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.lblTransactionID = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "lblTransactionID";
            @__ctrl.Visible = false;
            @__ctrl.CssClass = "auto-style2";
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControllblNotification() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.lblNotification = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "lblNotification";
            @__ctrl.Font.Bold = true;
            @__ctrl.ForeColor = global::System.Drawing.Color.Blue;
            @__ctrl.Font.Size = global::System.Web.UI.WebControls.FontUnit.Medium;
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private void @__BuildControlTree(global::SiteSafetyUploads.QualityUploadsEditForm.QualityUploadsEditForm @__ctrl) {
            System.Web.UI.IParserAccessor @__parser = ((System.Web.UI.IParserAccessor)(@__ctrl));
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl(@"

<style type=""text/css"">
    .table {
        padding: 0;
        border-spacing: 0;
        text-align: center;
        font-family: 'Trebuchet MS';
        font-size: 10pt;
        vertical-align: middle;
        border-collapse: collapse;
    }

    .auto-style1 {
        height: 30px;
        font-family: 'Trebuchet MS';
        font-size: 10pt;
    }

    .required {
        color: Red;
    }

    .auto-style2 {
        width: 60%;
        height: 30px;
        font-family: 'Trebuchet MS';
        font-size: 10pt;
    }
</style>

<script>
    function ReloadFun() {
        _spFormOnSubmitCalled = false; _spSuppressFormOnSubmitWrapper = true;
    }
</script>

<table>
    <tr>
        <td>
            "));
            global::System.Web.UI.WebControls.Label @__ctrl1;
            @__ctrl1 = this.@__BuildControllblError();
            @__parser.AddParsedSubObject(@__ctrl1);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n        </td>\r\n    </tr>\r\n</table>\r\n"));
            global::System.Web.UI.HtmlControls.HtmlTable @__ctrl2;
            @__ctrl2 = this.@__BuildControltblEditForm();
            @__parser.AddParsedSubObject(@__ctrl2);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n"));
            global::System.Web.UI.WebControls.Label @__ctrl3;
            @__ctrl3 = this.@__BuildControllblItemID();
            @__parser.AddParsedSubObject(@__ctrl3);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n"));
            global::System.Web.UI.WebControls.Label @__ctrl4;
            @__ctrl4 = this.@__BuildControllblRCMEmail();
            @__parser.AddParsedSubObject(@__ctrl4);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n"));
            global::System.Web.UI.WebControls.Label @__ctrl5;
            @__ctrl5 = this.@__BuildControllblLoggedInUserIsCreated();
            @__parser.AddParsedSubObject(@__ctrl5);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n"));
            global::System.Web.UI.WebControls.Label @__ctrl6;
            @__ctrl6 = this.@__BuildControllblLoggedInUserIsRCM();
            @__parser.AddParsedSubObject(@__ctrl6);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n"));
            global::System.Web.UI.WebControls.Label @__ctrl7;
            @__ctrl7 = this.@__BuildControllblTransactionID();
            @__parser.AddParsedSubObject(@__ctrl7);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n"));
            global::System.Web.UI.WebControls.Label @__ctrl8;
            @__ctrl8 = this.@__BuildControllblNotification();
            @__parser.AddParsedSubObject(@__ctrl8);
        }
        
        private void InitializeControl() {
            this.@__BuildControlTree(this);
            this.Load += new global::System.EventHandler(this.Page_Load);
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        protected virtual object Eval(string expression) {
            return global::System.Web.UI.DataBinder.Eval(this.Page.GetDataItem(), expression);
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        protected virtual string Eval(string expression, string format) {
            return global::System.Web.UI.DataBinder.Eval(this.Page.GetDataItem(), expression, format);
        }
    }
}
